searchData={"items":[{"type":"module","title":"GoogleApi.CloudBilling.V1","doc":"API client metadata for GoogleApi.CloudBilling.V1.","ref":"GoogleApi.CloudBilling.V1.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.discovery_revision/0","doc":"","ref":"GoogleApi.CloudBilling.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts","doc":"API calls for all endpoints tagged `BillingAccounts`.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_create/3","doc":"This method creates [billing subaccounts](https://cloud.google.com/billing/docs/concepts#subaccounts). Google Cloud resellers should use the Channel Services APIs, [accounts.customers.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/create) and [accounts.customers.entitlements.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/create). When creating a subaccount, the current authenticated user must have the `billing.accounts.update` IAM permission on the parent account, which is typically given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access). This method will return an error if the parent account has not been provisioned for subaccounts.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_create/3"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_create/3","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:parent` (*type:* `String.t`) - Optional. The parent to create a billing account from. Format: - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.BillingAccount.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_create/3","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_create/3-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get/4","doc":"Gets information about a billing account. The current authenticated user must be a [viewer of the billing account](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the billing account to retrieve. For example, `billingAccounts/012345-567890-ABCDEF`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get_iam_policy/4","doc":"Gets the access control policy for a billing account. The caller must have the `billing.accounts.getIamPolicy` permission on the account, which is often given to billing account [viewers](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"options.requestedPolicyVersion\"` (*type:* `integer()`) - Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_get_iam_policy/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_get_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_list/3","doc":"Lists the billing accounts that the current authenticated user has permission to [view](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_list/3"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_list/3","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Options for how to filter the returned billing accounts. This only supports filtering for [subaccounts](https://cloud.google.com/billing/docs/concepts) under a single provided parent billing account. (for example, `master_billing_account=billingAccounts/012345-678901-ABCDEF`). Boolean algebra and other fields are not currently supported.\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The maximum page size is 100; this is also the default.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListBillingAccounts` call. If unspecified, the first page of results is returned.\n    *   `:parent` (*type:* `String.t`) - Optional. The parent resource to list billing accounts from. Format: - `organizations/{organization_id}`, for example, `organizations/12345678` - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_list/3","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_list/3-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_move/4","doc":"Changes which parent organization a billing account belongs to.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_move/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_move/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the billing account to move. Must be of the form `billingAccounts/{billing_account_id}`. The specified billing account cannot be a subaccount, since a subaccount always belongs to the same organization as its parent account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_move/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_move/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_move/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_patch/4","doc":"Updates a billing account's fields. Currently the only field that can be edited is `display_name`. The current authenticated user must have the `billing.accounts.update` IAM permission, which is typically given to the [administrator](https://cloud.google.com/billing/docs/how-to/billing-access) of the billing account.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the billing account resource to be updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The update mask applied to the resource. Only \"display_name\" is currently supported.\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.BillingAccount.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_patch/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_projects_list/4","doc":"Lists the projects associated with a billing account. The current authenticated user must have the `billing.resourceAssociations.list` IAM permission, which is often given to billing account [viewers](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_projects_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_projects_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the billing account associated with the projects that you want to list. For example, `billingAccounts/012345-567890-ABCDEF`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The maximum page size is 100; this is also the default.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to be returned. This should be a `next_page_token` value returned from a previous `ListProjectBillingInfo` call. If unspecified, the first page of results is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_projects_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_projects_list/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_projects_list/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_set_iam_policy/4","doc":"Sets the access control policy for a billing account. Replaces any existing policy. The caller must have the `billing.accounts.setIamPolicy` permission on the account, which is often given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_set_iam_policy/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_set_iam_policy/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_set_iam_policy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_set_iam_policy/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.Policy{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_set_iam_policy/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_create/4","doc":"This method creates [billing subaccounts](https://cloud.google.com/billing/docs/concepts#subaccounts). Google Cloud resellers should use the Channel Services APIs, [accounts.customers.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/create) and [accounts.customers.entitlements.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/create). When creating a subaccount, the current authenticated user must have the `billing.accounts.update` IAM permission on the parent account, which is typically given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access). This method will return an error if the parent account has not been provisioned for subaccounts.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Optional. The parent to create a billing account from. Format: - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.BillingAccount.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_create/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_create/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_list/4","doc":"Lists the billing accounts that the current authenticated user has permission to [view](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Optional. The parent resource to list billing accounts from. Format: - `organizations/{organization_id}`, for example, `organizations/12345678` - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Options for how to filter the returned billing accounts. This only supports filtering for [subaccounts](https://cloud.google.com/billing/docs/concepts) under a single provided parent billing account. (for example, `master_billing_account=billingAccounts/012345-678901-ABCDEF`). Boolean algebra and other fields are not currently supported.\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The maximum page size is 100; this is also the default.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListBillingAccounts` call. If unspecified, the first page of results is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_sub_accounts_list/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_sub_accounts_list/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_test_iam_permissions/4","doc":"Tests the access control policy for a billing account. This method takes the resource and a set of permissions as input and returns the subset of the input permissions that the caller is allowed for that resource.","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_test_iam_permissions/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_test_iam_permissions/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `resource` (*type:* `String.t`) - REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_test_iam_permissions/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.BillingAccounts.cloudbilling_billing_accounts_test_iam_permissions/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.BillingAccounts.html#cloudbilling_billing_accounts_test_iam_permissions/4-returns"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Api.Organizations","doc":"API calls for all endpoints tagged `Organizations`.","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_create/4","doc":"This method creates [billing subaccounts](https://cloud.google.com/billing/docs/concepts#subaccounts). Google Cloud resellers should use the Channel Services APIs, [accounts.customers.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/create) and [accounts.customers.entitlements.create](https://cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/create). When creating a subaccount, the current authenticated user must have the `billing.accounts.update` IAM permission on the parent account, which is typically given to billing account [administrators](https://cloud.google.com/billing/docs/how-to/billing-access). This method will return an error if the parent account has not been provisioned for subaccounts.","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Optional. The parent to create a billing account from. Format: - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.BillingAccount.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_create/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_create/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_list/4","doc":"Lists the billing accounts that the current authenticated user has permission to [view](https://cloud.google.com/billing/docs/how-to/billing-access).","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Optional. The parent resource to list billing accounts from. Format: - `organizations/{organization_id}`, for example, `organizations/12345678` - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Options for how to filter the returned billing accounts. This only supports filtering for [subaccounts](https://cloud.google.com/billing/docs/concepts) under a single provided parent billing account. (for example, `master_billing_account=billingAccounts/012345-678901-ABCDEF`). Boolean algebra and other fields are not currently supported.\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. The maximum page size is 100; this is also the default.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListBillingAccounts` call. If unspecified, the first page of results is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_list/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_list/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_move/5","doc":"Changes which parent organization a billing account belongs to.","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_move/5"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_move/5","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `destination_parent` (*type:* `String.t`) - Required. The resource name of the Organization to move the billing account under. Must be of the form `organizations/{organization_id}`.\n*   `name` (*type:* `String.t`) - Required. The resource name of the billing account to move. Must be of the form `billingAccounts/{billing_account_id}`. The specified billing account cannot be a subaccount, since a subaccount always belongs to the same organization as its parent account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_move/5-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Organizations.cloudbilling_organizations_billing_accounts_move/5","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.BillingAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Organizations.html#cloudbilling_organizations_billing_accounts_move/5-returns"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_get_billing_info/4","doc":"Gets the billing information for a project. The current authenticated user must have the `resourcemanager.projects.get` permission for the project, which can be granted by assigning the [Project Viewer](https://cloud.google.com/iam/docs/understanding-roles#predefined_roles) role.","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_get_billing_info/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_get_billing_info/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the project for which billing information is retrieved. For example, `projects/tokyo-rain-123`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_get_billing_info/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_get_billing_info/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_get_billing_info/4-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_update_billing_info/4","doc":"Sets or updates the billing account associated with a project. You specify the new billing account by setting the `billing_account_name` in the `ProjectBillingInfo` resource to the resource name of a billing account. Associating a project with an open billing account enables billing on the project and allows charges for resource usage. If the project already had a billing account, this method changes the billing account used for resource usage charges. *Note:* Incurred charges that have not yet been reported in the transaction history of the Google Cloud Console might be billed to the new billing account, even if the charge occurred before the new billing account was assigned to the project. The current authenticated user must have ownership privileges for both the [project](https://cloud.google.com/docs/permissions-overview#h.bgs0oxofvnoo ) and the [billing account](https://cloud.google.com/billing/docs/how-to/billing-access). You can disable billing on the project by setting the `billing_account_name` field to empty. This action disassociates the current billing account from the project. Any billable activity of your in-use services will stop, and your application could stop functioning as expected. Any unbilled charges to date will be billed to the previously associated account. The current authenticated user must be either an owner of the project or an owner of the billing account for the project. Note that associating a project with a *closed* billing account will have much the same effect as disabling billing on the project: any paid resources used by the project will be shut down. Thus, unless you wish to disable billing, you should always call this method with the name of an *open* billing account.","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_update_billing_info/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_update_billing_info/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the project associated with the billing information that you want to update. For example, `projects/tokyo-rain-123`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_update_billing_info/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Projects.cloudbilling_projects_update_billing_info/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Projects.html#cloudbilling_projects_update_billing_info/4-returns"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Api.Services","doc":"API calls for all endpoints tagged `Services`.","ref":"GoogleApi.CloudBilling.V1.Api.Services.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_list/3","doc":"Lists all public cloud services.","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_list/3"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_list/3","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. Defaults to 5000.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListServices` call. If unspecified, the first page of results is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_list/3","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListServicesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_list/3-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_skus_list/4","doc":"Lists all publicly available SKUs for a given cloud service.","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_skus_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_skus_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudBilling.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the service. Example: \"services/6F81-5844-456A\"\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:currencyCode` (*type:* `String.t`) - The ISO 4217 currency code for the pricing info in the response proto. Will use the conversion rate as of start_time. Optional. If not specified USD will be used.\n    *   `:endTime` (*type:* `DateTime.t`) - Optional exclusive end time of the time range for which the pricing versions will be returned. Timestamps in the future are not allowed. The time range has to be within a single calendar month in America/Los_Angeles timezone. Time range as a whole is optional. If not specified, the latest pricing will be returned (up to 12 hours old at most).\n    *   `:pageSize` (*type:* `integer()`) - Requested page size. Defaults to 5000.\n    *   `:pageToken` (*type:* `String.t`) - A token identifying a page of results to return. This should be a `next_page_token` value returned from a previous `ListSkus` call. If unspecified, the first page of results is returned.\n    *   `:startTime` (*type:* `DateTime.t`) - Optional inclusive start time of the time range for which the pricing versions will be returned. Timestamps in the future are not allowed. The time range has to be within a single calendar month in America/Los_Angeles timezone. Time range as a whole is optional. If not specified, the latest pricing will be returned (up to 12 hours old at most).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_skus_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Api.Services.cloudbilling_services_skus_list/4","doc":"*   `{:ok, %GoogleApi.CloudBilling.V1.Model.ListSkusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudBilling.V1.Api.Services.html#cloudbilling_services_skus_list/4-returns"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Connection","doc":"Handle Tesla connections for GoogleApi.CloudBilling.V1.","ref":"GoogleApi.CloudBilling.V1.Connection.html"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudBilling.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudBilling.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudBilling.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudBilling.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudBilling.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudBilling.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudBilling.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudBilling.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudBilling.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudBilling.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudBilling.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudBilling.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudBilling.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudBilling.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudBilling.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudBilling.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudBilling.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Connection.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.AggregationInfo","doc":"Represents the aggregation level and interval for pricing of a single SKU.","ref":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.AggregationInfo","doc":"*   `aggregationCount` (*type:* `integer()`, *default:* `nil`) - The number of intervals to aggregate over. Example: If aggregation_level is \"DAILY\" and aggregation_count is 14, aggregation will be over 14 days.\n*   `aggregationInterval` (*type:* `String.t`, *default:* `nil`) - \n*   `aggregationLevel` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.AggregationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.AuditConfig","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.","ref":"GoogleApi.CloudBilling.V1.Model.AuditConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.AuditConfig","doc":"*   `auditLogConfigs` (*type:* `list(GoogleApi.CloudBilling.V1.Model.AuditLogConfig.t)`, *default:* `nil`) - The configuration for logging of each type of permission.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.","ref":"GoogleApi.CloudBilling.V1.Model.AuditConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.AuditConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.AuditConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.AuditConfig.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.AuditConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig","doc":"Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.","ref":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.AuditLogConfig","doc":"*   `exemptedMembers` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.\n*   `logType` (*type:* `String.t`, *default:* `nil`) - The log type that this config enables.","ref":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.AuditLogConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.BillingAccount","doc":"A billing account in the [Google Cloud Console](https://console.cloud.google.com/). You can assign a billing account to one or more projects.","ref":"GoogleApi.CloudBilling.V1.Model.BillingAccount.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.BillingAccount","doc":"*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - Optional. The currency in which the billing account is billed and charged, represented as an ISO 4217 code such as `USD`. Billing account currency is determined at the time of billing account creation and cannot be updated subsequently, so this field should not be set on update requests. In addition, a subaccount always matches the currency of its parent billing account, so this field should not be set on subaccount creation requests. Clients can read this field to determine the currency of an existing billing account.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name given to the billing account, such as `My Billing Account`. This name is displayed in the Google Cloud Console.\n*   `masterBillingAccount` (*type:* `String.t`, *default:* `nil`) - If this account is a [subaccount](https://cloud.google.com/billing/docs/concepts), then this will be the resource name of the parent billing account that it is being resold through. Otherwise this will be empty.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the billing account. The resource name has the form `billingAccounts/{billing_account_id}`. For example, `billingAccounts/012345-567890-ABCDEF` would be the resource name for billing account `012345-567890-ABCDEF`.\n*   `open` (*type:* `boolean()`, *default:* `nil`) - Output only. True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it are unable to use paid services.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - Output only. The billing account's parent resource identifier. Use the `MoveBillingAccount` method to update the account's parent resource if it is a organization. Format: - `organizations/{organization_id}`, for example, `organizations/12345678` - `billingAccounts/{billing_account_id}`, for example, `billingAccounts/012345-567890-ABCDEF`","ref":"GoogleApi.CloudBilling.V1.Model.BillingAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.BillingAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.BillingAccount.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.BillingAccount.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.BillingAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Binding","doc":"Associates `members`, or principals, with a `role`.","ref":"GoogleApi.CloudBilling.V1.Model.Binding.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Binding","doc":"*   `condition` (*type:* `GoogleApi.CloudBilling.V1.Model.Expr.t`, *default:* `nil`) - The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).\n*   `members` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: * `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. * `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. Does not include identities that come from external identity providers (IdPs) through identity federation. * `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . * `serviceAccount:{emailid}`: An email address that represents a Google service account. For example, `my-other-app@appspot.gserviceaccount.com`. * `serviceAccount:{projectid}.svc.id.goog[{namespace}/{kubernetes-sa}]`: An identifier for a [Kubernetes service account](https://cloud.google.com/kubernetes-engine/docs/how-to/kubernetes-service-accounts). For example, `my-project.svc.id.goog[my-namespace/my-kubernetes-sa]`. * `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. * `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. * `principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workforce identity pool. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/group/{group_id}`: All workforce identities in a group. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All workforce identities with a specific attribute value. * `principalSet://iam.googleapis.com/locations/global/workforcePools/{pool_id}/*`: All identities in a workforce identity pool. * `principal://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/subject/{subject_attribute_value}`: A single identity in a workload identity pool. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/group/{group_id}`: A workload identity pool group. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/attribute.{attribute_name}/{attribute_value}`: All identities in a workload identity pool with a certain attribute. * `principalSet://iam.googleapis.com/projects/{project_number}/locations/global/workloadIdentityPools/{pool_id}/*`: All identities in a workload identity pool. * `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. * `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. * `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. * `deleted:principal://iam.googleapis.com/locations/global/workforcePools/{pool_id}/subject/{subject_attribute_value}`: Deleted single identity in a workforce identity pool. For example, `deleted:principal://iam.googleapis.com/locations/global/workforcePools/my-pool-id/subject/my-subject-attribute-value`.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`. For an overview of the IAM roles and permissions, see the [IAM documentation](https://cloud.google.com/iam/docs/roles-overview). For a list of the available pre-defined roles, see [here](https://cloud.google.com/iam/docs/understanding-roles).","ref":"GoogleApi.CloudBilling.V1.Model.Binding.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Binding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Binding.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Binding.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Binding.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Category","doc":"Represents the category hierarchy of a SKU.","ref":"GoogleApi.CloudBilling.V1.Model.Category.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Category","doc":"*   `resourceFamily` (*type:* `String.t`, *default:* `nil`) - The type of product the SKU refers to. Example: \"Compute\", \"Storage\", \"Network\", \"ApplicationServices\" etc.\n*   `resourceGroup` (*type:* `String.t`, *default:* `nil`) - A group classification for related SKUs. Example: \"RAM\", \"GPU\", \"Prediction\", \"Ops\", \"GoogleEgress\" etc.\n*   `serviceDisplayName` (*type:* `String.t`, *default:* `nil`) - The display name of the service this SKU belongs to.\n*   `usageType` (*type:* `String.t`, *default:* `nil`) - Represents how the SKU is consumed. Example: \"OnDemand\", \"Preemptible\", \"Commit1Mo\", \"Commit1Yr\" etc.","ref":"GoogleApi.CloudBilling.V1.Model.Category.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Category.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Category.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Category.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Category.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Expr","doc":"Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() < 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.","ref":"GoogleApi.CloudBilling.V1.Model.Expr.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Expr","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - Textual representation of an expression in Common Expression Language syntax.\n*   `location` (*type:* `String.t`, *default:* `nil`) - Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.","ref":"GoogleApi.CloudBilling.V1.Model.Expr.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Expr.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Expr.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Expr.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Expr.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy","doc":"Encapsulates the geographic taxonomy data for a sku.","ref":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.GeoTaxonomy","doc":"*   `regions` (*type:* `list(String.t)`, *default:* `nil`) - The list of regions associated with a sku. Empty for Global skus, which are associated with all Google Cloud regions.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of Geo Taxonomy: GLOBAL, REGIONAL, or MULTI_REGIONAL.","ref":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse","doc":"Response message for `ListBillingAccounts`.","ref":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse","doc":"*   `billingAccounts` (*type:* `list(GoogleApi.CloudBilling.V1.Model.BillingAccount.t)`, *default:* `nil`) - A list of billing accounts.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. To retrieve the next page, call `ListBillingAccounts` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.","ref":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.ListBillingAccountsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse","doc":"Request message for `ListProjectBillingInfoResponse`.","ref":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. To retrieve the next page, call `ListProjectBillingInfo` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.\n*   `projectBillingInfo` (*type:* `list(GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.t)`, *default:* `nil`) - A list of `ProjectBillingInfo` resources representing the projects associated with the billing account.","ref":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.ListProjectBillingInfoResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse","doc":"Response message for `ListServices`.","ref":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.ListServicesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. To retrieve the next page, call `ListServices` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.\n*   `services` (*type:* `list(GoogleApi.CloudBilling.V1.Model.Service.t)`, *default:* `nil`) - A list of services.","ref":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.ListServicesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse","doc":"Response message for `ListSkus`.","ref":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.ListSkusResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. To retrieve the next page, call `ListSkus` again with the `page_token` field set to this value. This field is empty if there are no more results to retrieve.\n*   `skus` (*type:* `list(GoogleApi.CloudBilling.V1.Model.Sku.t)`, *default:* `nil`) - The list of public SKUs of the given service.","ref":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.ListSkusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Money","doc":"Represents an amount of money with its currency type.","ref":"GoogleApi.CloudBilling.V1.Model.Money.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Money","doc":"*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - The three-letter currency code defined in ISO 4217.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.\n*   `units` (*type:* `String.t`, *default:* `nil`) - The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.","ref":"GoogleApi.CloudBilling.V1.Model.Money.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Money.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Money.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Money.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Money.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest","doc":"Request message for `MoveBillingAccount` RPC.","ref":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest","doc":"*   `destinationParent` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of the Organization to move the billing account under. Must be of the form `organizations/{organization_id}`.","ref":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.MoveBillingAccountRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Policy","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** ``` { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time < timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } ``` **YAML example:** ``` bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time < timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 ``` For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).","ref":"GoogleApi.CloudBilling.V1.Model.Policy.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Policy","doc":"*   `auditConfigs` (*type:* `list(GoogleApi.CloudBilling.V1.Model.AuditConfig.t)`, *default:* `nil`) - Specifies cloud audit logging configuration for this policy.\n*   `bindings` (*type:* `list(GoogleApi.CloudBilling.V1.Model.Binding.t)`, *default:* `nil`) - Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.\n*   `etag` (*type:* `String.t`, *default:* `nil`) - `etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.\n*   `version` (*type:* `integer()`, *default:* `nil`) - Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: * Getting a policy that includes a conditional role binding * Adding a conditional role binding to a policy * Changing a conditional role binding in a policy * Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).","ref":"GoogleApi.CloudBilling.V1.Model.Policy.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Policy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Policy.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Policy.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Policy.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.PricingExpression","doc":"Expresses a mathematical pricing formula. For Example:- `usage_unit: GBy` `tiered_rates:` `[start_usage_amount: 20, unit_price: $10]` `[start_usage_amount: 100, unit_price: $5]` The above expresses a pricing formula where the first 20GB is free, the next 80GB is priced at $10 per GB followed by $5 per GB for additional usage.","ref":"GoogleApi.CloudBilling.V1.Model.PricingExpression.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.PricingExpression","doc":"*   `baseUnit` (*type:* `String.t`, *default:* `nil`) - The base unit for the SKU which is the unit used in usage exports. Example: \"By\"\n*   `baseUnitConversionFactor` (*type:* `float()`, *default:* `nil`) - Conversion factor for converting from price per usage_unit to price per base_unit, and start_usage_amount to start_usage_amount in base_unit. unit_price / base_unit_conversion_factor = price per base_unit. start_usage_amount * base_unit_conversion_factor = start_usage_amount in base_unit.\n*   `baseUnitDescription` (*type:* `String.t`, *default:* `nil`) - The base unit in human readable form. Example: \"byte\".\n*   `displayQuantity` (*type:* `float()`, *default:* `nil`) - The recommended quantity of units for displaying pricing info. When displaying pricing info it is recommended to display: (unit_price * display_quantity) per display_quantity usage_unit. This field does not affect the pricing formula and is for display purposes only. Example: If the unit_price is \"0.0001 USD\", the usage_unit is \"GB\" and the display_quantity is \"1000\" then the recommended way of displaying the pricing info is \"0.10 USD per 1000 GB\"\n*   `tieredRates` (*type:* `list(GoogleApi.CloudBilling.V1.Model.TierRate.t)`, *default:* `nil`) - The list of tiered rates for this pricing. The total cost is computed by applying each of the tiered rates on usage. This repeated list is sorted by ascending order of start_usage_amount.\n*   `usageUnit` (*type:* `String.t`, *default:* `nil`) - The short hand for unit of usage this pricing is specified in. Example: usage_unit of \"GiBy\" means that usage is specified in \"Gibi Byte\".\n*   `usageUnitDescription` (*type:* `String.t`, *default:* `nil`) - The unit of usage in human readable form. Example: \"gibi byte\".","ref":"GoogleApi.CloudBilling.V1.Model.PricingExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.PricingExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.PricingExpression.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.PricingExpression.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.PricingExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.PricingInfo","doc":"Represents the pricing information for a SKU at a single point of time.","ref":"GoogleApi.CloudBilling.V1.Model.PricingInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.PricingInfo","doc":"*   `aggregationInfo` (*type:* `GoogleApi.CloudBilling.V1.Model.AggregationInfo.t`, *default:* `nil`) - Aggregation Info. This can be left unspecified if the pricing expression doesn't require aggregation.\n*   `currencyConversionRate` (*type:* `float()`, *default:* `nil`) - Conversion rate used for currency conversion, from USD to the currency specified in the request. This includes any surcharge collected for billing in non USD currency. If a currency is not specified in the request this defaults to 1.0. Example: USD * currency_conversion_rate = JPY\n*   `effectiveTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp from which this pricing was effective within the requested time range. This is guaranteed to be greater than or equal to the start_time field in the request and less than the end_time field in the request. If a time range was not specified in the request this field will be equivalent to a time within the last 12 hours, indicating the latest pricing info.\n*   `pricingExpression` (*type:* `GoogleApi.CloudBilling.V1.Model.PricingExpression.t`, *default:* `nil`) - Expresses the pricing formula. See `PricingExpression` for an example.\n*   `summary` (*type:* `String.t`, *default:* `nil`) - An optional human readable summary of the pricing information, has a maximum length of 256 characters.","ref":"GoogleApi.CloudBilling.V1.Model.PricingInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.PricingInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.PricingInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.PricingInfo.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.PricingInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo","doc":"Encapsulation of billing information for a Google Cloud Console project. A project has at most one associated billing account at a time (but a billing account can be assigned to multiple projects).","ref":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo","doc":"*   `billingAccountName` (*type:* `String.t`, *default:* `nil`) - The resource name of the billing account associated with the project, if any. For example, `billingAccounts/012345-567890-ABCDEF`.\n*   `billingEnabled` (*type:* `boolean()`, *default:* `nil`) - Output only. True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name for the `ProjectBillingInfo`; has the form `projects/{project_id}/billingInfo`. For example, the resource name for the billing information for project `tokyo-rain-123` would be `projects/tokyo-rain-123/billingInfo`.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Output only. The ID of the project that this `ProjectBillingInfo` represents, such as `tokyo-rain-123`. This is a convenience field so that you don't need to parse the `name` field to obtain a project ID.","ref":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.ProjectBillingInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Service","doc":"Encapsulates a single service in Google Cloud Platform.","ref":"GoogleApi.CloudBilling.V1.Model.Service.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Service","doc":"*   `businessEntityName` (*type:* `String.t`, *default:* `nil`) - The business under which the service is offered. Ex. \"businessEntities/GCP\", \"businessEntities/Maps\"\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human readable display name for this service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the service. Example: \"services/6F81-5844-456A\"\n*   `serviceId` (*type:* `String.t`, *default:* `nil`) - The identifier for the service. Example: \"6F81-5844-456A\"","ref":"GoogleApi.CloudBilling.V1.Model.Service.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Service.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Service.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Service.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Service.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest","doc":"Request message for `SetIamPolicy` method.","ref":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest","doc":"*   `policy` (*type:* `GoogleApi.CloudBilling.V1.Model.Policy.t`, *default:* `nil`) - REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`","ref":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.SetIamPolicyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.Sku","doc":"Encapsulates a single SKU in Google Cloud","ref":"GoogleApi.CloudBilling.V1.Model.Sku.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.Sku","doc":"*   `category` (*type:* `GoogleApi.CloudBilling.V1.Model.Category.t`, *default:* `nil`) - The category hierarchy of this SKU, purely for organizational purpose.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A human readable description of the SKU, has a maximum length of 256 characters.\n*   `geoTaxonomy` (*type:* `GoogleApi.CloudBilling.V1.Model.GeoTaxonomy.t`, *default:* `nil`) - The geographic taxonomy for this sku.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the SKU. Example: \"services/6F81-5844-456A/skus/D041-B8A1-6E0B\"\n*   `pricingInfo` (*type:* `list(GoogleApi.CloudBilling.V1.Model.PricingInfo.t)`, *default:* `nil`) - A timeline of pricing info for this SKU in chronological order.\n*   `serviceProviderName` (*type:* `String.t`, *default:* `nil`) - Identifies the service provider. This is 'Google' for first party services in Google Cloud Platform.\n*   `serviceRegions` (*type:* `list(String.t)`, *default:* `nil`) - List of service regions this SKU is offered at. Example: \"asia-east1\" Service regions can be found at https://cloud.google.com/about/locations/\n*   `skuId` (*type:* `String.t`, *default:* `nil`) - The identifier for the SKU. Example: \"D041-B8A1-6E0B\"","ref":"GoogleApi.CloudBilling.V1.Model.Sku.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.Sku.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.Sku.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.Sku.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.Sku.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest","doc":"Request message for `TestIamPermissions` method.","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse","doc":"Response message for `TestIamPermissions` method.","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse","doc":"*   `permissions` (*type:* `list(String.t)`, *default:* `nil`) - A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.TestIamPermissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudBilling.V1.Model.TierRate","doc":"The price rate indicating starting usage and its corresponding price.","ref":"GoogleApi.CloudBilling.V1.Model.TierRate.html"},{"type":"module","title":"Attributes - GoogleApi.CloudBilling.V1.Model.TierRate","doc":"*   `startUsageAmount` (*type:* `float()`, *default:* `nil`) - Usage is priced at this rate only after this amount. Example: start_usage_amount of 10 indicates that the usage will be priced at the unit_price after the first 10 usage_units.\n*   `unitPrice` (*type:* `GoogleApi.CloudBilling.V1.Model.Money.t`, *default:* `nil`) - The price per unit of usage. Example: unit_price of amount $10 indicates that each unit will cost $10.","ref":"GoogleApi.CloudBilling.V1.Model.TierRate.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudBilling.V1.Model.TierRate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudBilling.V1.Model.TierRate.html#decode/2"},{"type":"type","title":"GoogleApi.CloudBilling.V1.Model.TierRate.t/0","doc":"","ref":"GoogleApi.CloudBilling.V1.Model.TierRate.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}